Bug 1020321 - Add Obsoletes and Provides clauses for vdsm-python-cpopen
Add Obsoletes and Provides clauses for vdsm-python-cpopen
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-cpopen (Show other bugs)
19
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Douglas Schilling Landgraf
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-17 08:54 EDT by Martin Sivák
Modified: 2013-11-20 23:32 EST (History)
8 users (show)

See Also:
Fixed In Version: python-cpopen-1.2.3-4.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-19 16:52:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 20469 None None None Never

  None (edit)
Description Martin Sivák 2013-10-17 08:54:03 EDT
Description of problem:

The new package replaces vdsm-python-cpopen without mentioning that in the spec file. Please add the proper Obsoletes and Provides clauses.

How reproducible:

Always

Steps to Reproduce:
1. install F19 host with vdsm 4.13.0-48 or older
2. add the host to a nightly 3.3 engine (it registers the ovirt-nightly repository)
3. look at the failure (and reproduce it using yum update on the host)

Actual results:

Updating:
 vdsm                            x86_64 4.13.0-51.git52a13b0.fc19
                                                            ovirt-nightly 709 k
 vdsm-cli                        noarch 4.13.0-51.git52a13b0.fc19
                                                            ovirt-nightly  54 k
 vdsm-gluster                    noarch 4.13.0-51.git52a13b0.fc19
                                                            ovirt-nightly  24 k
 vdsm-python-cpopen              x86_64 4.13.0-48.git4efa8d5.fc19
                                                            ovirt-nightly 9.9 k
Installing for dependencies:
 python-cpopen                   x86_64 1.2.3-2.fc19        updates        19 k

Transaction check error:
  file /usr/lib64/python2.7/site-packages/cpopen/__init__.py conflicts between attempted installs of vdsm-python-cpopen-4.13.0-48.git4efa8d5.fc19.x86_64 and python-cpopen-1.2.3-2.fc19.x86_64
  file /usr/lib64/python2.7/site-packages/cpopen/__init__.pyc conflicts between attempted installs of vdsm-python-cpopen-4.13.0-48.git4efa8d5.fc19.x86_64 and python-cpopen-1.2.3-2.fc19.x86_64
  file /usr/lib64/python2.7/site-packages/cpopen/__init__.pyo conflicts between attempted installs of vdsm-python-cpopen-4.13.0-48.git4efa8d5.fc19.x86_64 and python-cpopen-1.2.3-2.fc19.x86_64
  file /usr/lib64/python2.7/site-packages/cpopen/cpopen.so conflicts between attempted installs of vdsm-python-cpopen-4.13.0-48.git4efa8d5.fc19.x86_64 and python-cpopen-1.2.3-2.fc19.x86_64


Expected results:

Successfull upgrade with no errors that removes the vdsm-python-cpopen package and installs the new python-cpopen one.
Comment 1 Douglas Schilling Landgraf 2013-10-22 11:40:15 EDT
Hello Yaniv,

I don't have commit access to python-cpopen code on pypi project nor Fedora rpm spec. Below the suggestion patch to fix the problem, I have verified.

===

Provides: vdsm-python-cpopen = %{version}-%{release}
Obsoletes: vdsm-python-cpopen <= 4.13.0-49

===

Note in the Obsoletes that the Release number is bumped so that it is higher than the last build [1] that I can see from the package.

http://resources.ovirt.org/releases/nightly/rpm/Fedora/19/x86_64/

Thanks!
Comment 2 Yaniv Bronhaim 2013-10-23 10:55:12 EDT
Yep that does the work, I upload new version to pypi: https://pypi.python.org/pypi?:action=display&name=cpopen&version=1.2.3

The spec contains those line, and I also updated Bug 903246 with the right links.

fyi, it all conflict also if you try to install old version of vdsm that still contains vdsm-python-cpopen, so if we want to avoid this conflict too we need to backport also fix to 3.3.0 (before http://gerrit.ovirt.org/#/c/20142/)
Comment 3 Fedora Update System 2013-10-23 13:37:23 EDT
python-cpopen-1.2.3-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-cpopen-1.2.3-3.el6
Comment 4 Fedora Update System 2013-10-23 13:46:30 EDT
python-cpopen-1.2.3-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-cpopen-1.2.3-3.fc19
Comment 5 Fedora Update System 2013-10-23 13:50:08 EDT
python-cpopen-1.2.3-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-cpopen-1.2.3-3.fc20
Comment 6 Fedora Update System 2013-10-23 14:15:56 EDT
python-cpopen-1.2.3-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-cpopen-1.2.3-3.fc18
Comment 7 Fedora Update System 2013-10-23 20:51:00 EDT
Package python-cpopen-1.2.3-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-cpopen-1.2.3-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19786/python-cpopen-1.2.3-3.fc19
then log in and leave karma (feedback).
Comment 8 Yaniv Bronhaim 2013-10-24 04:19:31 EDT
And for the other way around (for those who still use vdsm-python-cpopen and by chance installed the new python-cpopen) - http://gerrit.ovirt.org/20489

If this patch is necessary, please add rhevm-3.3 flag, change to POST again, and I'll take care of it
Comment 9 Eyal Edri 2013-10-24 04:47:01 EDT
i think it's worth backporting it to 3.3.
you can't tell if users will install python-cpopen on 3.3 systems,
so best not to fail on it.
Comment 10 Fedora Update System 2013-11-07 10:13:24 EST
python-cpopen-1.2.3-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-cpopen-1.2.3-4.fc20
Comment 11 Fedora Update System 2013-11-07 10:15:25 EST
python-cpopen-1.2.3-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-cpopen-1.2.3-4.fc19
Comment 12 Fedora Update System 2013-11-07 10:17:00 EST
python-cpopen-1.2.3-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-cpopen-1.2.3-4.fc18
Comment 13 Fedora Update System 2013-11-07 10:18:23 EST
python-cpopen-1.2.3-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-cpopen-1.2.3-4.el6
Comment 14 Fedora Update System 2013-11-19 16:52:59 EST
python-cpopen-1.2.3-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2013-11-20 12:25:33 EST
python-cpopen-1.2.3-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2013-11-20 23:32:38 EST
python-cpopen-1.2.3-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.